#########################################################
# "Who Opposes Climate Regulation? Business Preferences 
# for the European Emission Trading Scheme"
# Federica Genovese & Endre Tvinnereim
# 02/05/18 (Run by FG)
#########################################################

# Figure A1: EU ETS sample countries' map

library(foreign)
library(maps)
library(mapdata)
library(maptools)
library(mapproj)
library(gpclib)
library(sp)
library(mapplots)
library(raster)
library(rworldmap)


newmap <- getMap(resolution = "high")
plot(newmap, xlim=c(-16,30), ylim=c(35,69.5))
text(-17.6, 64.8, "IS", cex=.7, col="red")
text(-0.83, 52, "UK", cex=.7, col="red")
text(-7.5, 53, "IR", cex=.7, col="red")
text(27, 64, "FN", cex=.7, col="red")
text(9.5, 61, "NO", cex=.7, col="red")
text(9.5, 56.2, "DK", cex=.7, col="red")
text(14.5, 60, "SW", cex=.7, col="red")
text(25.8, 58.5, "ES", cex=.7, col="red")
text(25.2, 56.8, "LV", cex=.7, col="red")
text(24.4, 55, "LT", cex=.7, col="red")
text(20, 52, "PL", cex=.7, col="red")
text(10, 51.7, "DE", cex=.7, col="red")
text(15.8, 49.7, "CZ", cex=.7, col="red")
text(14.5, 47.7, "AT", cex=.7, col="red")
text(18.9, 47.1, "HU", cex=.7, col="red")
text(24.8, 45.5, "RO", cex=.7, col="red")
text(24.9, 42.5, "BU", cex=.7, col="red")
text(14.8, 45.95, "SL", cex=.7, col="red")
text(16.5, 45.5, "HR", cex=.7, col="red")
text(6.7, 49.5, "LX", cex=.7, col="red")
text(5.1, 50.6, "BE", cex=.7, col="red")
text(5.55, 52.4, "ND", cex=.7, col="red")
text(13.55, 35.4, "MT", cex=.7, col="red")
text(2.55, 46.5, "FR", cex=.7, col="red")
text(13.55, 42, "IT", cex=.7, col="red")
text(-3.5, 40.5, "SP", cex=.7, col="red")
text(-7.8, 40.5, "PT", cex=.7, col="red")
text(21.55, 39.5, "GR", cex=.7, col="red")
